*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:'Inter', sans-serif;
    color:#111827;
    background:#FFFFFF;
	padding-top:100px;
}

.container{
    max-width:1200px;
    margin:auto;
    padding:0 24px;
}

header{

    position:fixed;

    top:0;

    width:100%;

    background:rgba(255,255,255,.9);

    backdrop-filter:blur(15px);

    border-bottom:1px solid #E5E7EB;

    padding:20px 0;

    z-index:1000;

}

nav{
    display:flex;
    justify-content:space-between;
    align-items:center;
}

.logo{

    font-size:28px;

    font-weight:700;

    text-decoration:none;

    color:#111827;

}

.logo span{
    color:#22C55E;
}


.menu a{
    color:#374151;
    text-decoration:none;
    transition:.3s;
}

.menu a:hover{
    color:#22C55E;
}

.hero{
    padding:100px 0;
}

.hero-content{
    display:flex;
    justify-content:space-between;
    align-items:center;
    gap:60px;
}

.hero-text{
    max-width:520px;
}

.hero-text h1{
    font-size:58px;
    line-height:1.1;
    margin-bottom:24px;
}

.hero-text p{
    font-size:20px;
    color:#6B7280;
    line-height:1.7;
}

.btn{
    display:inline-block;
    margin-top:40px;
    background:#22C55E;
    color:white;
    text-decoration:none;
    padding:18px 32px;
    border-radius:14px;
    font-weight:600;
    transition:.3s;
}

.btn:hover{
    background:#16A34A;
}

.hero-image img{
    width:100%;
    max-width:650px;
}

.section{
    padding:100px 0;
}

.section-gray{
    background:#F8FAFC;
    padding:100px 0;
}

.title{
    text-align:center;
    font-size:42px;
    margin-bottom:70px;
}

.cards{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(280px,1fr));
    gap:30px;
}

.card{
    background:white;
    padding:40px;
    border-radius:20px;
    box-shadow:0 10px 30px rgba(0,0,0,.06);
    transition:.3s;
}

.card:hover{
    transform:translateY(-8px);
}

.card h3{
    margin-bottom:20px;
}

footer{
    background:#111827;
    color:white;
    padding:80px 0;
    text-align:center;
}

footer p{
    color:#9CA3AF;
    margin-top:20px;
}

@media(max-width:900px){

.hero-content{
    flex-direction:column;
}

.hero-text h1{
    font-size:42px;
}


}
.processo{
    padding:120px 0;
    background:#ffffff;
}

.section-header{
    text-align:center;
    max-width:700px;
    margin:auto;
}

.badge{
    display:inline-block;
    background:#dcfce7;
    color:#16a34a;
    padding:10px 18px;
    border-radius:30px;
    font-size:14px;
    font-weight:600;
    letter-spacing:1px;
}

.section-header h2{
    font-size:48px;
    margin-top:25px;
    margin-bottom:20px;
    color:#111827;
}

.section-header p{
    color:#6b7280;
    font-size:18px;
    line-height:1.8;
}

.timeline{
    margin-top:80px;

    display:grid;

    grid-template-columns:repeat(auto-fit,minmax(250px,1fr));

    gap:30px;
}

.step{
    background:#ffffff;

    border:1px solid #e5e7eb;

    border-radius:24px;

    padding:40px;

    transition:.3s;

    box-shadow:0 10px 25px rgba(0,0,0,.04);
}

.step:hover{
    transform:translateY(-8px);
}

.number{
    width:60px;
    height:60px;

    border-radius:18px;

    background:#22C55E;

    color:white;

    display:flex;

    align-items:center;

    justify-content:center;

    font-size:22px;

    font-weight:700;

    margin-bottom:25px;
}

.step h3{
    font-size:26px;
    margin-bottom:20px;
    color:#111827;
}

.step p{
    color:#6b7280;
    line-height:1.8;
}


.servicos{
    padding:120px 0;
}

.icon{
    font-size:40px;
    margin-bottom:25px;
}

.card{
    background:#ffffff;
    border-radius:24px;
    padding:40px;
    box-shadow:0 10px 30px rgba(0,0,0,.05);
    transition:.3s;
}

.card:hover{
    transform:translateY(-8px);
}

.card h3{
    margin-bottom:20px;
    font-size:24px;
    color:#111827;
}

.card p{
    line-height:1.8;
    color:#6B7280;
}


.contato{
    padding:120px 0;
    background:#F8FAFC;
    text-align:center;
}

.contact-box{
    margin-top:60px;

    display:grid;

    grid-template-columns:repeat(auto-fit,minmax(250px,1fr));

    gap:30px;
}

.contact-item{
    background:white;

    padding:40px;

    border-radius:24px;

    box-shadow:0 10px 30px rgba(0,0,0,.05);

    transition:.3s;
}

.contact-item:hover{
    transform:translateY(-8px);
}

.contact-item h3{
    margin-bottom:20px;

    color:#111827;
}

.contact-item p{
    color:#6B7280;

    line-height:1.8;
}

html{
    scroll-behavior:smooth;
}

section{
    scroll-margin-top:120px;
}



.menu{
    display:flex;
    gap:40px;
}

.menu a{
    text-decoration:none;
    color:#374151;
    transition:.3s;
}

.menu a:hover{
    color:#22C55E;
}

/* botão hambúrguer escondido no desktop */

.hamburger{
    display:none;
}

.hamburger span{
    display:block;

    width:28px;
    height:3px;

    background:#111827;

    margin:6px 0;

    border-radius:10px;
}


@media (max-width:768px){

    .hamburger{
        display:block;
        cursor:pointer;
        z-index:1001;
    }

    .menu{

        position:absolute;

        top:90px;
        left:0;

        width:100%;

        background:white;

        flex-direction:column;

        align-items:center;

        gap:25px;

        padding:30px 0;

        box-shadow:0 10px 30px rgba(0,0,0,.08);

        opacity:0;
        visibility:hidden;

        transform:translateY(-20px);

        transition:.3s ease;
    }

    .menu.active{

        opacity:1;
        visibility:visible;

        transform:translateY(0);

    }

    .hero-content{
        flex-direction:column;
    }

    .hero-text h1{
        font-size:42px;
    }

}

